Bug 225710 - Merge Review: dtach
Summary: Merge Review: dtach
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:30 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-14 17:43:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jspaleta: fedora-review+


Attachments (Terms of Use)
Diff of spec file which includes changes based on merge review (2.17 KB, patch)
2007-02-03 19:50 UTC, Jef Spaleta
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 18:30:21 UTC
Fedora Merge Review: dtach

http://cvs.fedora.redhat.com/viewcvs/devel/dtach/
Initial Owner: lhh@redhat.com

Comment 1 Jef Spaleta 2007-02-03 19:48:44 UTC
Summary:
Minor specfile work need. See attached specfile diff.
Note that I had to run the specfile through iconv to quiet the utf-8 related
rpmlint warnings. The owner will need to implement the suggested changes, or
come back into the ticket for discussion the suggestions they feel are misguided.

dtach
GOOD
+ rpmlint... see the notes at the end. I've rolled in changes into the spec from
the rpmlint log info
+ packagename is fine
+ specfile name is fine
+ license check 
+  GPL , matches source license, and COPYING file included in %doc
+ spec is english-ish
+ md5sum check of sources
9aa11433d5a5b4b9fed271f10102cf6f  dtach-0.7.tar.gz from source tag
9aa11433d5a5b4b9fed271f10102cf6f  ../rpmbuild/SOURCES/dtach-0.7.tar.gz  from
srpm install
+ mock build  as done by matt
http://linux.dell.com/files/fedora/FixBuildRequires/mock-results-core/i386/dtach-0.7-1.2.2.src.rpm/result
+ no buildrequires....
+ no shared libs
+ not designed to be relocatable
+ no duplicates in the files section
+ file permissions look okay to me
+ no headers or static libs
+ docs section looks fine
+ no devel subpackage
+ no gui apps
+ no obvious duplicate file/directory ownership

BAD
There is nothing I consider a significant blocker. 
There are some minor specfile changes which are in the diff
so I'm failing this review on general principles until the
spec diff gets reviewed by the owner and incorporated.

I did have to run the spec file through iconv to quiet the rpmlint utf-8 warnings.

 
why does this spec have:
rm -rf $RPM_BUILD_DIR/%{name}-%{version}  ?
I don't think that is necessary so I have removed it in my new spec diff

rpmlint run from matt/dell:
rpmlint on ./dtach-0.7-1.2.2.src.rpm
W: dtach summary-ended-with-dot A simple program that emulates the detach
feature of screen.
... fixed in the spec diff
E: dtach tag-not-utf8 %changelog
... wtf?
E: dtach non-utf8-spec-file dtach.spec
... wtf?
W: dtach setup-not-quiet
... fixed in spec diff
W: dtach macro-in-%changelog clean
... fixed in spec diff... just to be sure this isnt gonna be a problem. Its
silly really.

rpmlint on ./dtach-debuginfo-0.7-1.2.2.i386.rpm
E: dtach-debuginfo tag-not-utf8 %changelog
rpmlint on ./dtach-0.7-1.2.2.i386.rpm
W: dtach summary-ended-with-dot A simple program that emulates the detach
feature of screen.
E: dtach tag-not-utf8 %changelog



Comment 2 Jef Spaleta 2007-02-03 19:50:50 UTC
Created attachment 147280 [details]
Diff of spec file which includes changes based on merge review

Diff of spec file which includes changes based on merge review.

Comment 3 Lon Hohberger 2007-02-05 15:35:13 UTC
Thanks, Jef -- I'll include it in the next build.

Comment 4 Jef Spaleta 2007-02-10 22:35:56 UTC
let me know when the build goes out so I can follow up.

-jef

Comment 6 Lon Hohberger 2007-02-12 19:38:51 UTC
Patch applied and built; should be available soon.

Comment 7 Jef Spaleta 2007-02-13 22:34:32 UTC
 dtach-0.7-1.2.3
APPROVED

Comment 8 Lon Hohberger 2007-02-14 17:43:15 UTC
Closing->NEXTRELEASE


Note You need to log in before you can comment on or make changes to this bug.